For the complete documentation index, see llms.txt. This page is also available as Markdown.

LLM Reaction

Get all LLM reactions

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's LLM reactions

application/json
LLMReaction[]Optional
get/api/v2/strategy/reaction/llm
GET /api/v2/strategy/reaction/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's LLM reactions

[]

Create a new LLM reaction

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the reaction

Example: 12
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
data_webhook_idnumberRequired

The id of the data hook witch will be used to get data

Example: 13
llm_api_idnumberRequired

The main LLM Api key id used for the strategy

Example: 14
fallback_api_idnumberOptional

The fallback LLM Api key id used for the strategy if main is not available

Example: 15
delaynumberOptional

Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second

Example: 10
use_chartbooleanOptional

Set true if you want to send chart image with the strategy prompt

Example: true
chart_symbolstringOptional

The Tradingview symbol of the chart (required if use_chart is true)

Example: BINANCE:BTCUSDT
chart_intervalstring · enumOptional

The interval of the chart (required if use_chart is true)

Example: 5Possible values:
chart_data_rangestring · enumOptional

The data range of the chart (optional if use_chart is true)

Example: 1DPossible values:
promptstringRequired

The prompt used for the strategy

Example: Analyze the incoming data and give me a signal
send_signalbooleanOptional

Set true if you want to send a signal to the bot hook

Example: true
signal_symbolstringOptional

The signal symbol or symbols of the strategy separated by comma

Example: BTCUSDT,ETHUSDT
send_emailbooleanOptional

Set true if you want to send the LLM response to the user email

Example: true
Responses
201

LLM reaction created successfully

application/json
anyOptional
post/api/v2/strategy/reaction/llm
POST /api/v2/strategy/reaction/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 409

{
  "name": "My strategy",
  "folder_id": 12,
  "webhook_id": 12,
  "data_webhook_id": 13,
  "llm_api_id": 14,
  "fallback_api_id": 15,
  "delay": 10,
  "use_chart": true,
  "chart_symbol": "BINANCE:BTCUSDT",
  "chart_interval": "5",
  "chart_studies": [
    "RSI@tv-basicstudies",
    "MACD@tv-basicstudies"
  ],
  "chart_data_range": "1D",
  "prompt": "Analyze the incoming data and give me a signal",
  "send_signal": true,
  "signal_symbol": "BTCUSDT,ETHUSDT",
  "send_email": true
}

No content

Get LLM reaction by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

LLM reaction details

application/json
anyOptional
get/api/v2/strategy/reaction/llm/{id}
GET /api/v2/strategy/reaction/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update LLM reaction

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the reaction

Example: 12
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
data_webhook_idnumberRequired

The id of the data hook witch will be used to get data

Example: 13
llm_api_idnumberRequired

The main LLM Api key id used for the strategy

Example: 14
fallback_api_idnumberOptional

The fallback LLM Api key id used for the strategy if main is not available

Example: 15
delaynumberOptional

Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second

Example: 10
use_chartbooleanOptional

Set true if you want to send chart image with the strategy prompt

Example: true
chart_symbolstringOptional

The Tradingview symbol of the chart (required if use_chart is true)

Example: BINANCE:BTCUSDT
chart_intervalstring · enumOptional

The interval of the chart (required if use_chart is true)

Example: 5Possible values:
chart_data_rangestring · enumOptional

The data range of the chart (optional if use_chart is true)

Example: 1DPossible values:
promptstringRequired

The prompt used for the strategy

Example: Analyze the incoming data and give me a signal
send_signalbooleanOptional

Set true if you want to send a signal to the bot hook

Example: true
signal_symbolstringOptional

The signal symbol or symbols of the strategy separated by comma

Example: BTCUSDT,ETHUSDT
send_emailbooleanOptional

Set true if you want to send the LLM response to the user email

Example: true
Responses
200

LLM reaction updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/llm/{id}
PUT /api/v2/strategy/reaction/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 409

{
  "name": "My strategy",
  "folder_id": 12,
  "webhook_id": 12,
  "data_webhook_id": 13,
  "llm_api_id": 14,
  "fallback_api_id": 15,
  "delay": 10,
  "use_chart": true,
  "chart_symbol": "BINANCE:BTCUSDT",
  "chart_interval": "5",
  "chart_studies": [
    "RSI@tv-basicstudies",
    "MACD@tv-basicstudies"
  ],
  "chart_data_range": "1D",
  "prompt": "Analyze the incoming data and give me a signal",
  "send_signal": true,
  "signal_symbol": "BTCUSDT,ETHUSDT",
  "send_email": true
}
{
  "message": "Success"
}

Delete LLM reaction

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

LLM reaction deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/strategy/reaction/llm/{id}
DELETE /api/v2/strategy/reaction/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Duplicate an LLM reaction

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
idstringRequired

Reaction ID to duplicate

Responses
201

LLM reaction duplicated successfully

application/json
anyOptional
post/api/v2/strategy/reaction/llm/duplicate
POST /api/v2/strategy/reaction/llm/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}

No content

Reset LLM reaction triggers, history or responses

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
resetTriggersbooleanRequired

Set true to reset triggers

Example: true
resetStoragebooleanRequired

Set true to reset storage

Example: true
resetResponsebooleanRequired

Set true to reset response history

Example: true
Responses
200

Triggers and/or history reset successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/llm/{id}/reset
PUT /api/v2/strategy/reaction/llm/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "resetTriggers": true,
  "resetStorage": true,
  "resetResponse": true
}
{
  "message": "Success"
}

Update LLM reaction status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/llm/{id}/status
PUT /api/v2/strategy/reaction/llm/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Update LLM reaction public visibility

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
isPublicbooleanRequired

Set true to make the strategy public

Example: true
Responses
200

Public visibility updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/llm/{id}/public
PUT /api/v2/strategy/reaction/llm/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "isPublic": true
}
{
  "message": "Success"
}

Get all LLM reaction folders

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's LLM reaction folders

application/json
LLMReactionFolder[]Optional
get/api/v2/strategy/reaction/llm/folder
GET /api/v2/strategy/reaction/llm/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's LLM reaction folders

[]

Create a new LLM reaction folder

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

Folder name (optional, auto-generated if not provided)

Responses
201

Folder created successfully

application/json
anyOptional
post/api/v2/strategy/reaction/llm/folder
POST /api/v2/strategy/reaction/llm/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}

No content

Get LLM reactions from root folder

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of LLM reactions in root folder

application/json
LLMReaction[]Optional
get/api/v2/strategy/reaction/llm/folder/root
GET /api/v2/strategy/reaction/llm/folder/root HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of LLM reactions in root folder

[]

Get LLM reaction folder by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Responses
200

Folder with its items

application/json
anyOptional
get/api/v2/strategy/reaction/llm/folder/{id}
GET /api/v2/strategy/reaction/llm/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update LLM reaction folder

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Body
namestringOptional

New folder name (optional, auto-generated if not provided)

Responses
200

Folder updated successfully

application/json
messagestringOptional
put/api/v2/strategy/reaction/llm/folder/{id}
PUT /api/v2/strategy/reaction/llm/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "message": "text"
}

Delete LLM reaction folder

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Responses
200

Folder deleted successfully

application/json
messagestringOptional
delete/api/v2/strategy/reaction/llm/folder/{id}
DELETE /api/v2/strategy/reaction/llm/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "text"
}

Last updated